Get Labels

Prev Next
Get
/api/v1/Authoring/projects/{projectId}/labels

Returns a list of labels in a project

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

ID of the project associated with the returned labels

Responses
200

OK

Expand All
object
labels
Array of object (Configuration.Api.Models.v1.LabelSummary) | null
object
id
integer (int32)

The ID of the label

name
string | null

The name of the label

status
string | null

The status of the label

objectCount
integer (int32)

The number of objects using the label

dateCreated
string (date-time)

The creation date of the label

dateModified
string (date-time)

The latest modification date of the label

dateLocked
string (date-time) | null

When the label was last locked

400

Bad Request

object
error
string | null